import os
import sys

def create_file(path):
    # Ensure the directory exists
    directory = os.path.dirname(path)
    if not os.path.exists(directory):
        os.makedirs(directory)

    # Check if file already exists
    if os.path.exists(path):
        print(f"Error: File '{path}' already exists.")
        return

    # Create the file
    with open(path, 'w') as f:
        f.write("# Generated by BafCode make.py\n")
    print(f"File '{path}' created successfully!")

def make():
    if len(sys.argv) < 3:
        print("Usage: bafcode <command:tool> <path/to/file>")
        sys.exit(1)

    command = sys.argv[1]
    filepath = sys.argv[2]

    if command == "make:tool":
        base_dir = "src/tools"
        full_path = os.path.join(base_dir, filepath + ".py")
        create_file(full_path)
    elif command == "make:api":
        base_dir = "src/api"
        full_path = os.path.join(base_dir, filepath + ".py")
        create_file(full_path)
    elif command == "make:prompt":
        base_dir = "src/prompts"
        full_path = os.path.join(base_dir, filepath + ".py")
        create_file(full_path)
    elif command == "make:llm":
        base_dir = "src/llms"
        full_path = os.path.join(base_dir, filepath + ".py")
        create_file(full_path)
    else:
        print(f"Error: Unknown command '{command}'")
        sys.exit(1)
